Получение адреса для пополнения кошелька
Запрос:
curl -X POST https://api.creon.ae/wallet/deposit \
-H "Authorization: Bearer <ACCESS_TOKEN>" \
-H "Content-Type: application/json" \
-d '{"currencyId": "ccbfac34-75d1-4fad-ba78-4583f4207ffe"}'
currencyId: string (required) — Идентификатор актива/валюты, для которой генерируется адрес. Берётся из ответа на GET-запрос/wallet
Разбор ответа:
-
Status 200:
{ "currency": { "_id": "ccbfac34-75d1-4fad-ba78-4583f4207ffe", "code": "USDT", "decimal": 6, "label": "USDT - TRC20", "symbol": "USDT", "type": "CRYPTO", "logo": "https://static.tronscan.org/production/logo/usdtlogo.png", "addressExplorerUrl": "https://tronscan.io/#/address/%s", "blockchainMetaAlias": "tron_mainnet", "blockchainSymbol": "TRON", "isNative": false, "tokenType": "TRC20", "transactionExplorerUrl": "https://tronscan.io/#/transaction/%s", "tokenAddress": "TR7NHqjeKQxGTCi8q8ZY4pL8otSzgjLj6t", "testnet": false }, "address": "TETxzipragGREZLCznFioYQSN9TaV5jm2S", "expiredAt": "+275760-09-13T00:00:00.000Z" }currency(arr): Данные актива;_id(uuid): Идентификатор внутреннего кошелька;type(string): Тип кошелька (crypto/fiat);code(string): ISO-код валюты кошелька;symbol(string): Символ/обозначение валюты;label(string): Полное человекочитаемое название валюты;decimal(int): Поддерживаемое количество знаков после запятой;countryName(string): Англоязычное название страны, к которой привязана валюта;countryCode(string): Двухбуквенный ISO-код страны;logo(string): Ссылка на графический логотип криптовалюты;tokenType(string): Стандарт токена в сети (TRC20, ERC20);blockhainSymbol(string): Название блокчейн-платформы (TRON, Ethereum);blockchainMetaAlias(string): Внутренний идентификатор сети;isNative(bool): Флаг нативной монеты блокчейна.true— для основных монет сети (ETH, TRX),false— для кастомных токенов;tokenAddress(string): Адрес смарт-контракта токена в блокчейне;addressExplorerUrl(string): Шаблон ссылки на блокчейн-эксплорер для проверки адресов;transactionExplorerUrl(string): Шаблон ссылки на блокчейн-эксплорер для проверки транзакций;testnet(bool): Флаг тестовой сети.true— для тестового блокчейна,false— для основной сети (mainnet);
address(arr): Адрес для пополнения. Публичный адрес в блокчейне (дляcrypto) или платежные реквизиты (дляfiat);expiredAt(arr): Срок действия адреса.;
-
Status 400: Invalid request, typically due to a missing or malformed parameter.
{
"error": "ERROR_ACCESS_TOKEN_INVALID",
"message": "Access token is invalid.",
"statusCode": 400
}
- `error`: string (required)
- `message`: string (required)
- `statusCode`: number
-
Status 401: Authentication failed. This may happen due to the following reasons:
- Authentication is required but not provided.
- The access token has expired.
{
"error": "ERROR_TOKEN_EXPIRED",
"message": "Access token has expired.",
"statusCode": 401
}
- `error`: string (required)
- `message`: string (required)
- `statusCode`: number
- Status 500: Transaction with specified ID not found.
{
"error": "TRANSACTION_NOT_FOUND",
"message": "Transaction with specified ID not found.",
"statusCode": 500
}
- `error`: string (required)
- `message`: string (required)
- `statusCode`: number